What web browsers does PayJunction support?

PayJunction designs and tests our website to work with the following compliance-based web browsers.  The minimum requirements are as follows:

  • Microsoft Internet Explorer version 10+
  • Mozilla Firefox version 12+
  • Apple Safari version 8+
  • Google Chrome version 52+

The minimum supported version of IE is IE 10. However, merchants should use the latest version of IE, which is IE 11. For Windows Vista, highest supported version is IE 9, so merchant will need to use a different browser, such as Chrome or FireFox.

There are many known issues with IE, such as login issues and printer issues.  Therefore, we recommend that you use a different browser.

We generally recommend that you keep your web browsers up to date using their built in “Auto Update” features. PayJunction is constantly testing and developing our site to take advantage of the latest security enhancements and web based standards.
Also, we HIGHLY recommend updating to the latest version of Internet Explorer.

http://www.microsoft.com/windows/internet-explorer/default.aspx